// Within style tags in your html file
* { box-sizing: border-box; }



/*====================================================
               Gallery modal box
======================================================*/

#gallery .modal-full {padding: 0 !important;}

#gallery .modal-full .modal-dialog {
  width: 100%;
  max-width: none;
  height: 100%;
  margin: 0;
}
#gallery .modal-full .modal-content {
  height: 100%;
  border: 0;
  border-radius: 0;
  overflow:hidden;
  background: rgba(126, 127, 128, 0.7)	
}

#gallery .modal-full .modal-body {height:100%;}

#gallery .modal-dialog .modal-content .close{
	margin:-12px;
    color: #fff;
    background: #4e4e4e;
    font-size: 30px;
    line-height: 35px;
    width: 45px;
    height: 45px;
    text-shadow: none;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
    border-radius: 50%;
    opacity: 1;
    position: absolute;
    left: auto;
    right: 15px;
    top: 15px;
    z-index: 1;
    transition: all 0.3s;
}
#gallery .modal-dialog .modal-content .close:hover{ text-shadow: 0 0 5px #fff; }

#gallery .modal-title {margin:0 auto;}
#gallery .modal-full img {border-radius:8px}



#gallery .btn:focus, #gallery .btn:active, #gallery button:focus, #gallery button:active {outline: none !important;  box-shadow: none !important;}

#gallery .filter{  margin-top: 15px;  margin-bottom: 15px;font-size:85%}


#gallery #show-previous-image {margin-left:0px;}
#gallery #show-next-image {margin-right:0px;}

#gallery .img-responsive {
  max-width: 85%;
  max-height: 95%
}







.grid-item {
  padding: 5px;
}

.box{
    background: transparent;
    font-family: 'Ubuntu', sans-serif;
    text-align: center;
    overflow: hidden;
    position: relative;
    z-index: 1;
    transition: all 0.3s ease;
}
.box:hover{
    background: linear-gradient(#b92b27, #1565C0);
    box-shadow: 0 0 20px -5px rgba(0, 0, 0, 0.4);
}
.box:before,
.box:after,
.box .box-content:before,
.box .box-content:after{
    content: "";
    background: #fff;
    width: 0;
    height: 4px;
    position: absolute;
    top: 5%;
    left: 0;
    transition: all 0.3s;
}
.box:after{
    top: auto;
    bottom: 5%;
    left: auto;
    right: 0;
}
.box .box-content:before,
.box .box-content:after{
    height: 0;
    width: 4px;
    left: auto;
    right: 5%;
    top: 0;
}
.box .box-content:after{
    right: auto;
    top: auto;
    bottom: 0;
    left: 5%;
}
.box:hover:before,
.box:hover:after{
    width: 80%;
}
.box:hover .box-content:before,
.box:hover .box-content:after{
    height: 80%;
}
.box img{
    width: 100%;
    height: auto;
    transform: scale(1);
    transition: all 0.3s ease;
}
.box:hover img{
    opacity: 0.2;
    transform: scale(.9);
}
.box .box-content{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
.box .inner-content{
    color: #fff;
    width: 70%;
    overflow: hidden;
    transform: translateX(-50%)translateY(-50%);
    position: absolute;
    top: 50%;
    left: 50%;
}
.box .title{
    color: #fff;
	font-size: 18px;
    font-weight: 700;
/*    text-transform: uppercase;*/
    margin: 0 0 3px 0;
    opacity: 0;
    transform: rotate(90deg);
    transform-origin: left bottom;
    transition: all 0.3s ease;
}
.box .post{
    font-size: 15px;
    text-transform: capitalize;
    display: block;
    opacity: 0;
    transform: rotate(90deg);
    transform-origin: left bottom;
    transition: all 0.3s ease;
}
.box:hover .title,
.box:hover .post{
    opacity: 1;
    transform: rotate(0);
}
@media only screen and (max-width:990px){
    .box { margin: 0 0 30px; }
}
